{ lib, pkgs, config,  ... }:
let
  cfg = config.myServices.websites.bakeer.cloud;
  nextcloud = config.myServices.tools.cloud.farm.package;
in {
  options.myServices.websites.bakeer.cloud.enable = lib.mkEnableOption "enable Bakeer’s cloud";

  config = lib.mkIf cfg.enable {
    myServices.tools.cloud.farm.instances = [ "bakeer" ];
    services.websites.env.production.modules = [ "proxy_fcgi" ];
    services.websites.env.production.vhostConfs.bakeer = {
      certName     = "bakeer";
      certMainHost = "bakeer.immae.eu";
      addToCerts   = true;
      hosts        = ["bakeer.immae.eu" "baxsolution.immae.eu"];
      root         = nextcloud;
      extraConfig  = [
        config.myServices.tools.cloud.farm.vhosts.bakeer
      ];
    };
  };
}

